<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="org.weilbach.splitbills">

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="org.weilbach.splitbills.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>

        <activity android:name=".group.GroupActivity">

            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

            <intent-filter tools:ignore="AppLinkUrlError">
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <data android:mimeType="application/octet-stream" />
            </intent-filter>

            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />

                <data android:scheme="content" />
                <data android:host="*" />
                <data android:mimeType="application/octet-stream" />
                <data android:mimeType="text/xml" />
                <data android:pathPattern=".*.sbgrp" />
            </intent-filter>
        </activity>
        <activity android:name=".addeditgroup.AddEditGroupActivity" />
        <activity android:name=".addmember.AddMemberActivity" />
        <activity android:name=".bills.BillsActivity" />
        <activity android:name=".addeditbill.AddEditBillActivity" />
        <activity android:name=".settings.SettingsActivity" />
        <activity android:name=".balances.BalancesActivity" />
        <activity android:name=".firststart.FirstStartActivity" />
        <activity android:name=".billdetail.BillDetailActivity" />
    </application>

</manifest>